Bug 206122 - Review Request: guiloader - Gideon GuiXML library
Review Request: guiloader - Gideon GuiXML library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 175168 206134
  Show dependency treegraph
 
Reported: 2006-09-12 05:09 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 06:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-09-12 05:09:21 EDT
Spec URL: http://www.poolshark.org/src/guiloader.spec
SRPM URL: http://www.poolshark.org/src/guiloader-2.8.0-1.src.rpm

Description: 
GuiLoader is a high-performance and compact GuiXml loader
library. This library allows GTK+ applications to create GUI widgets
and objects at run-time from GuiXml resource files. GuiLoader is
written in C language as a GObject subclass and has a trivial
language-independent API. GuiLoader was designed to be easily wrapped
for any language that has GTK+ bindings.

Notes:
- guiloader is part of the gideon project and used to be packaged in the gideon tarball itself. This review therefore blocks that of Gideon.
Comment 1 Jason Tibbitts 2006-10-04 22:10:43 EDT
The -devel subpackage has a .pc file but does not have a dependency on
pkgconfig.  This leaves %{libdir}/pkgconfig unowned and causes a few X'es in the
below review.

That's really the only issue, and I'm happy to let you fix it when you check in.
 However, there is one other question: is it worth it to package the examples? 
I'll leave that up to you.

* source files match upstream:
   98980d8c65e53f0f5288d1ebdb652b70  guiloader-2.8.0.tar.bz2
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
X final provides and requires are sane:
  guiloader-2.8.0-1.fc6.x86_64.rpm
   libguiloader.so.0()(64bit)
   guiloader = 2.8.0-1.fc6
  =
   /sbin/ldconfig
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libguiloader.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)

  guiloader-devel-2.8.0-1.fc6.x86_64.rpm
   guiloader-devel = 2.8.0-1.fc6
  =
   glib2-devel
   gtk2-devel
   guiloader = 2.8.0-1.fc6
   libguiloader.so.0()(64bit)
X  (no pkcgonfig dependency)

* %check is not present; no test suite upstream.
* shared libraries present:
    ldconfig is called as necessary.
    unversioned .so file is in the -devel subpackage.
X owns the directories it creates (%{libdir}/pkgconfig)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
X pkgconfig files are in the -devel subpackage, but no pkgconfig depencency.
* no libtool .la droppings.
* not a GUI app.

APPROVED, provided you add the pkgconfig depenency to the -devel subpackage.
Comment 2 Denis Leroy 2006-10-05 06:27:54 EDT
pkgconfig Requires added. Built. Thanks for your review! :-)

Note You need to log in before you can comment on or make changes to this bug.